classification
Title: Update zipfile.Path with zipp 3.0
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jaraco, miss-islington
Priority: normal Keywords: patch

Created on 2020-02-17 22:34 by jaraco, last changed 2020-04-15 18:46 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18540 merged jaraco, 2020-02-17 22:37
PR 18701 merged miss-islington, 2020-02-29 16:34
Messages (4)
msg362158 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2020-02-17 22:34
zipp 3.0 includes enhanced support for the .open() method as well as performance improvements in 2.2.1 (https://zipp.readthedocs.io/en/latest/history.html).
msg362988 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2020-02-29 16:34
New changeset 0aeab5c4381f0cc11479362af2533b3a391312ac by Jason R. Coombs in branch 'master':
bpo-39667: Sync zipp 3.0 (GH-18540)
https://github.com/python/cpython/commit/0aeab5c4381f0cc11479362af2533b3a391312ac
msg366538 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2020-04-15 18:45
New changeset 3e72de9e08b03a15875f5b226c5f096e567dab42 by Miss Islington (bot) in branch '3.8':
[3.8] bpo-39667: Sync zipp 3.0 (GH-18540) (GH-18701)
https://github.com/python/cpython/commit/3e72de9e08b03a15875f5b226c5f096e567dab42
msg366539 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2020-04-15 18:46
In the 3.8 backport, I retained API compatibility and backported only the performance improvement code.
History
Date User Action Args
2020-04-15 18:46:11jaracosetstatus: open -> closed
resolution: fixed
messages: + msg366539

stage: patch review -> resolved
2020-04-15 18:45:31jaracosetmessages: + msg366538
2020-02-29 16:34:52miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request18063
2020-02-29 16:34:22jaracosetmessages: + msg362988
2020-02-17 22:37:38jaracosetkeywords: + patch
stage: patch review
pull_requests: + pull_request17917
2020-02-17 22:34:57jaracosettitle: Update zipfile.Path with zipfile 3.0 -> Update zipfile.Path with zipp 3.0
2020-02-17 22:34:41jaracocreate